[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Qemu-devel] cpuid problem in upstream qemu with kvm

From: Dor Laor
Subject: Re: [Qemu-devel] cpuid problem in upstream qemu with kvm
Date: Thu, 07 Jan 2010 14:20:00 +0200
User-agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv: Gecko/20091209 Fedora/3.0-4.fc12 Lightning/1.0pre Thunderbird/3.0 ThunderBrowse/

On 01/07/2010 02:00 PM, Avi Kivity wrote:
On 01/07/2010 01:44 PM, Dor Laor wrote:
So if you had a 2.6.18 kernel and a 2.6.33 kernel, it may be necessary
to say:

(2.6.33) qemu -cpu Nehalem,-syscall
(2.6.18) qemu -cpu Nehalem

Or let qemu do it automatically for you.

qemu on 2.6.33 doesn't know that you're running qemu on 2.6.18 on
another node.

We can live with it, either have qemu realize the kernel version out of another existing feature or query uname.

Alternatively, the matching libvirt package can be the one adding or removing it in the right distribution.

reply via email to

[Prev in Thread] Current Thread [Next in Thread]